> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/candidates-api/documents/attach-documents-to-a-candidate.md).

# Attach documents to a candidate

{% hint style="info" %}
&#x20;This endpoint requires `documents_rw`, and `my_candidtates_rw` or `candidates_rw` scope.
{% endhint %}

## documents to a candidate

<mark style="color:green;">`POST`</mark> `https://www.welcomekit.co/api/v1/external/documents`

#### Query Parameters

| Name                                                   | Type   | Description         |
| ------------------------------------------------------ | ------ | ------------------- |
| candidate\_reference<mark style="color:red;">\*</mark> | string | Candidate reference |
| remote\_file\_urls<mark style="color:red;">\*</mark>   | array  | Array of files      |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "id": 20,
    "job_reference": "WTTJ_KmqkD1Y",
    "candidate_reference": "wttj-d655345409a6097309156b05",
    "filename": "example",
    "file_url": "http://example.com/resume.pdf",
    "size": 433994,
    "content_type": "application/pdf",
    "created_at": "2018-01-08T11:46:02.990+01:00"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X POST "https://www.welcomekit.co/api/v1/external/documents" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "candidate_reference": "wttj-d655345409a6097309156b05",
  "remote_file_urls": [
    {"filename": "resume", "url": "http://example.com/resume.pdf"},
    {"filename": "portfolio", "url": "http://example.com/portfolio.pdf"}
  ]
}
EOF
```
